View Issue Details

IDProjectCategoryView StatusLast Update
0007450Talerexchangepublic2022-11-14 06:44
Reporteroec Assigned ToChristian Grothoff  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.9.1Fixed in Version0.9.1 
Summary0007450: tests are skipped or fail in src/testing
Description[Note: gnunet f2b264a16c3c9a4199876740a210496e63b0bea4 installed]

In exchange, commit 945821cbc842644f9d10de4ef36e8ef03d2d2253, after a make distclean; boostrap; configure; make install:

exchange/src/testing> make check
make test_auditor_api_cs test_auditor_api_rsa test_auditor_api_version_rsa test_auditor_api_version_cs test_bank_api_with_fakebank test_bank_api_with_nexus test_exchange_api_cs test_exchange_api_rsa test_exchange_api_keys_cherry_picking_cs test_exchange_api_keys_cherry_picking_rsa test_exchange_api_revocation_cs tes
t_exchange_api_revocation_rsa test_exchange_api_overlapping_keys_bug_cs test_exchange_api_overlapping_keys_bug_rsa test_exchange_management_api_cs test_exchange_management_api_rsa test_kyc_api test_taler_exchange_aggregator-postgres test_taler_exchange_wirewatch-postgres test_exchange_p2p_cs test_exchange_p2p_rsa test_exchange_api_twisted_cs test_exchange_api_twisted_rsa test_bank_api_with_fakebank_twisted
make[1]: Entering directory '/home/oec/projects/taler/code/exchange/src/testing'
  CC test_auditor_api.o
  CCLD test_auditor_api_cs
  CCLD test_auditor_api_rsa
  CC test_auditor_api_version.o
  CCLD test_auditor_api_version_rsa
  CCLD test_auditor_api_version_cs
  CC test_bank_api.o
  CCLD test_bank_api_with_fakebank
  CCLD test_bank_api_with_nexus
  CC test_exchange_api.o
  CCLD test_exchange_api_cs
  CCLD test_exchange_api_rsa
  CC test_exchange_api_keys_cherry_picking.o
  CCLD test_exchange_api_keys_cherry_picking_cs
  CCLD test_exchange_api_keys_cherry_picking_rsa
  CC test_exchange_api_revocation.o
  CCLD test_exchange_api_revocation_cs
  CCLD test_exchange_api_revocation_rsa
  CC test_exchange_api_overlapping_keys_bug.o
  CCLD test_exchange_api_overlapping_keys_bug_cs
  CCLD test_exchange_api_overlapping_keys_bug_rsa
  CC test_exchange_management_api.o
  CCLD test_exchange_management_api_cs
  CCLD test_exchange_management_api_rsa
  CC test_kyc_api.o
  CCLD test_kyc_api
  CC test_taler_exchange_aggregator.o
  CCLD test_taler_exchange_aggregator-postgres
  CC test_taler_exchange_wirewatch.o
  CCLD test_taler_exchange_wirewatch-postgres
  CC test_exchange_p2p.o
  CCLD test_exchange_p2p_cs
  CCLD test_exchange_p2p_rsa
  CC test_exchange_api_twisted.o
  CCLD test_exchange_api_twisted_cs
  CCLD test_exchange_api_twisted_rsa
  CC test_bank_api_twisted.o
  CCLD test_bank_api_with_fakebank_twisted
make[1]: Leaving directory '/home/oec/projects/taler/code/exchange/src/testing'
make check-TESTS
make[1]: Entering directory '/home/oec/projects/taler/code/exchange/src/testing'
make[2]: Entering directory '/home/oec/projects/taler/code/exchange/src/testing'
FAIL: test_auditor_api_cs
FAIL: test_auditor_api_rsa
PASS: test_auditor_api_version_rsa
PASS: test_auditor_api_version_cs
PASS: test_bank_api_with_fakebank
PASS: test_bank_api_with_nexus
FAIL: test_exchange_api_cs
FAIL: test_exchange_api_rsa
SKIP: test_exchange_api_keys_cherry_picking_cs
SKIP: test_exchange_api_keys_cherry_picking_rsa
SKIP: test_exchange_api_revocation_cs
SKIP: test_exchange_api_revocation_rsa
SKIP: test_exchange_api_overlapping_keys_bug_cs
SKIP: test_exchange_api_overlapping_keys_bug_rsa
SKIP: test_exchange_management_api_cs
SKIP: test_exchange_management_api_rsa
SKIP: test_kyc_api
SKIP: test_taler_exchange_aggregator-postgres
SKIP: test_taler_exchange_wirewatch-postgres
FAIL: test_exchange_p2p_cs
FAIL: test_exchange_p2p_rsa
SKIP: test_exchange_api_twisted_cs
SKIP: test_exchange_api_twisted_rsa
PASS: test_bank_api_with_fakebank_twisted
============================================================================
Testsuite summary for taler-exchange 0.9.0
============================================================================
# TOTAL: 24
# PASS: 5
# SKIP: 13
# XFAIL: 0
# FAIL: 6
# XPASS: 0
# ERROR: 0
============================================================================
See src/testing/test-suite.log
Please report to taler-bug@gnunet.org
============================================================================
make[2]: *** [Makefile:1997: test-suite.log] Error 1
make[2]: Leaving directory '/home/oec/projects/taler/code/exchange/src/testing'
make[1]: *** [Makefile:2105: check-TESTS] Error 2
make[1]: Leaving directory '/home/oec/projects/taler/code/exchange/src/testing'
make: *** [Makefile:2339: check-am] Error 2

According to the test-suite.log, most of the tests fail to initialize the database plugin, failing with
`lt_dlopenext' failed for library `libtaler_plugin_exchangedb_postgres' with error: file not found.

However, the library exists:

> fd -l libtaler_plugin_exchangedb_postgres /usr/local/lib
-rwxr-xr-x 1 oec oec 1,3K Nov 12 13:21 /usr/local/lib/taler/libtaler_plugin_exchangedb_postgres.la
-rwxr-xr-x 1 oec oec 1,3M Nov 12 13:21 /usr/local/lib/taler/libtaler_plugin_exchangedb_postgres.so
Steps To Reproduceinstall gnunet f2b264a16c3c9a4199876740a210496e63b0bea4
install exchange 945821cbc842644f9d10de4ef36e8ef03d2d2253

exchange/src/testing> make check
TagsNo tags attached.

Activities

oec

2022-11-12 13:27

developer  

test-suite.log (650 bytes)   
=======================================================
   taler-exchange 0.9.0: src/exchange/test-suite.log
=======================================================

# TOTAL: 1
# PASS:  0
# SKIP:  1
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

SKIP: test_taler_exchange_httpd.sh
==================================

Launching exchange .......................................................................................................Failed to launch exchange
./test_taler_exchange_httpd.sh: Zeile 50: kill: (176964) - Kein passender Prozess gefunden
Process status: 6
SKIP test_taler_exchange_httpd.sh (exit status: 77)

test-suite.log (650 bytes)   

Christian Grothoff

2022-11-13 11:26

manager   ~0019408

The latest code doesn't yet build, the DB plugin is being refactored. Should conclude on Monday. Sorry for the inconvenience ;-).

oec

2022-11-13 12:10

developer   ~0019409

That is not inconvenience, it is blocking.

Let's not push commits to master that don't build or for which `make check` fails.

Christian Grothoff

2022-11-13 12:49

manager   ~0019410

It's a new student, and it "builds" for him (doesn't see the linker error), and his setup isn't ready for 'make check' yet. As I said, I'll take care of it with the student on Monday.

Christian Grothoff

2022-11-14 06:44

manager   ~0019412

fixed now.

Issue History

Date Modified Username Field Change
2022-11-12 13:27 oec New Issue
2022-11-12 13:27 oec Status new => assigned
2022-11-12 13:27 oec Assigned To => Christian Grothoff
2022-11-12 13:27 oec File Added: test-suite.log
2022-11-13 11:26 Christian Grothoff Note Added: 0019408
2022-11-13 12:10 oec Note Added: 0019409
2022-11-13 12:49 Christian Grothoff Note Added: 0019410
2022-11-14 06:44 Christian Grothoff Status assigned => resolved
2022-11-14 06:44 Christian Grothoff Resolution open => fixed
2022-11-14 06:44 Christian Grothoff Fixed in Version => 0.9.1
2022-11-14 06:44 Christian Grothoff Note Added: 0019412
2022-11-14 06:44 Christian Grothoff Target Version => 0.9.1